import { SimpleLocalIntegration } from '../../core/index.js';
import { KeyboardRemoteConfigFlow } from './keyboard_remote.classes.configflow.js';
import { createKeyboardRemoteDiscoveryDescriptor } from './keyboard_remote.discovery.js';
import type { IKeyboardRemoteConfig } from './keyboard_remote.types.js';
import { keyboardRemoteDomain, keyboardRemoteProfile } from './keyboard_remote.types.js';

export class KeyboardRemoteIntegration extends SimpleLocalIntegration<IKeyboardRemoteConfig> {
  public readonly domain = keyboardRemoteDomain;
  public readonly discoveryDescriptor = createKeyboardRemoteDiscoveryDescriptor();
  public readonly configFlow = new KeyboardRemoteConfigFlow();

  constructor() {
    super(keyboardRemoteProfile);
  }
}
